package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.bannersearch;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * Created by buhter on 02/11/2016.
 */
public class Criteria {
    public enum CriteriaKey {
        NUM("num"),
        DOMAIN("domain"),
        CAMPAIGN("campaign"),
        PHRASE("phrase"),
        TEXT("text"),
        IMAGE_ID("image_id"),
        GROUP("group"),
        LOGIN("login");

        private String key;

        private CriteriaKey(String key) {
            this.key = key;
        }

        public String getKey() {
            return key;
        }
    }

    @JsonProperty("key")
    private String key;

    @JsonProperty("values")
    private List values;

    public Criteria withKey(String key) {
        this.key = key;
        return this;
    }

    public Criteria withValues(List values) {
        this.values = values;
        return this;
    }



}
